<?php

namespace App\Exports;

use App\Calendarizacion;
use App\Encabezadopie;
use Illuminate\Contracts\View\View;
use Maatwebsite\Excel\Concerns\FromView;

class CalendarizacionExport implements FromView
{
    protected $periodo;

    public function __construct(String $periodo)
    {
        $this->periodo = $periodo;
        //dd($$this->periodo);
    }
    public function view(): View
    {

        $enca = Encabezadopie::where('status_encpie', 1);
        $enca = $enca->max('cve_encpie');
        $enca = Encabezadopie::where('cve_encpie', $enca)->first();
        if ($this->periodo == "") {
            return view("calendarizacion.tabla", ['calenda' => Calendarizacion::where('status_caleneval', '1')->with('periodos')->get(), 'enca' => $enca]);
        } else {
            $calenda = Calendarizacion::where('status_caleneval', '1');
            if ($this->periodo != "") {
                $periodo = $this->periodo;
                $calenda = $calenda->whereHas('periodos', function ($query) use ($periodo) {
                    $query = $query->where('nombre', 'like', '%' . $periodo . '%')->orderBy('nombre');
                });
                $calenda = $calenda->get();
            }
            return view("calendarizacion.tabla", ['calenda' => $calenda, 'enca' => $enca]);
        }
    }
}
